<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":2,"i19":2,"i20":1,"i21":2,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":2,"i30":2,"i31":2,"i32":2,"i33":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="org/david/geo/shapes/Circle.html" title="class in org.david.geo.shapes">Circle</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>Circle</code>
 and extends from <code>Ellipse</code>.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a></td>
<th class="colLast" scope="row">
<div class="block">This class provide all the attributes and methods
 from <code>java.awt.Color</code> and add a new attributes "isNone" to indicate
 whether the Color is defnied or not in the <code>IsvgParser</code>.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone">DrawingZone</a></td>
<th class="colLast" scope="row">
<div class="block">class to create a drawing zone to draw in a 2D graphic.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define an <code>Ellipse</code>
 and extends from <code>Shape</code>.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="org/david/geo/image/Image.html" title="class in org.david.geo.image">Image</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a general <code>Image</code>.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="org/david/IsenSvgMain.html" title="class in org.david">IsenSvgMain</a></td>
<th class="colLast" scope="row">
<div class="block">Main class of ISEN-SVG viewer.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="org/david/vue/isvgeditor/IsvgEditor.html" title="class in org.david.vue.isvgeditor">IsvgEditor</a></td>
<th class="colLast" scope="row">
<div class="block">This class define the isvgEditor from a XmlTextPane.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="org/david/model/isvgparser/ISvgErrorHandler.html" title="class in org.david.model.isvgparser">ISvgErrorHandler</a></td>
<th class="colLast" scope="row">
<div class="block">This class handle all SAX errors.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="org/david/files/IsvgFilter.html" title="class in org.david.files">IsvgFilter</a></td>
<th class="colLast" scope="row">
<div class="block"><code>IsvgFilter</code> is a class used by <code>JFileChooser</code>
 to filter files of type ".isvg".</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="org/david/model/isvgparser/ISvgParser.html" title="class in org.david.model.isvgparser">ISvgParser</a></td>
<th class="colLast" scope="row">
<div class="block">This class is the official ".isvg" parser based on XML and SAX API.</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="org/david/model/isvgparser/ISvgParserTest.html" title="class in org.david.model.isvgparser">ISvgParserTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="org/david/template/IsvgTemplate.html" title="class in org.david.template">IsvgTemplate</a></td>
<th class="colLast" scope="row">
<div class="block">template insert utility class for isvg files.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="org/david/geo/line/Line.html" title="class in org.david.geo.line">Line</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>Line</code>.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="org/david/model/isvgparser/Parse.html" title="class in org.david.model.isvgparser">Parse</a></td>
<th class="colLast" scope="row">
<div class="block">This utility class is used to parse a <code>Primitive</code> from a ".isvg" / XML
 file.</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="org/david/model/isvgparser/ParseTest.html" title="class in org.david.model.isvgparser">ParseTest</a></td>
<th class="colLast" scope="row">
<div class="block">test class for Parse utility class.</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="org/david/geo/shapes/Point.html" title="class in org.david.geo.shapes">Point</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>Point</code>.</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="org/david/geo/polyshapes/PolyGon.html" title="class in org.david.geo.polyshapes">PolyGon</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>PolyGon</code>.</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="org/david/geo/polyshapes/PolyLine.html" title="class in org.david.geo.polyshapes">PolyLine</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>PolyLine</code>.</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="org/david/geo/polyshapes/PolyShape.html" title="class in org.david.geo.polyshapes">PolyShape</a></td>
<th class="colLast" scope="row">
<div class="block">This abstract class define all attributes to define a <code>PolyShape</code>.</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></td>
<th class="colLast" scope="row">
<div class="block">This abstract class define all attributes to define a <code>Primitive</code>.</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="org/david/geo/primitive/PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></td>
<th class="colLast" scope="row">
<div class="block">This interface define what methods need to be implemented to create
 a Primitive.</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></td>
<th class="colLast" scope="row">
<div class="block">This class define all attributes to define a <code>Rectangle</code>
 and extends from <code>Shape</code>.</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="org/david/geo/shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></td>
<th class="colLast" scope="row">
<div class="block">This abstract class define all attributes to define a <code>Shape</code>
 and extends from <code>Primitive</code>.</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="org/david/geo/shapes/Square.html" title="class in org.david.geo.shapes">Square</a></td>
<th class="colLast" scope="row">
<div class="block">This class define a <code>Square</code> based on a <code>Rectangle</code>
 that extends from <code>Shape</code>.</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="org/david/geo/style/Style.html" title="class in org.david.geo.style">Style</a></td>
<th class="colLast" scope="row">
<div class="block">This class store parameters to indicate the stroke color, the stroke width
 and the fill color of a <code>Primitive</code>.</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></td>
<th class="colLast" scope="row">
<div class="block">This class is used to store all parameters to draw a string (text) in a
 <code>java.awt.Graphics</code>.</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></td>
<th class="colLast" scope="row">
<div class="block">This class will display line numbers for a related text component.</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></td>
<th class="colLast" scope="row">
<div class="block">This class stores the specific parameters to translate or rotate
 a <code>Primitive</code>.</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="org/david/vue/window/Window.html" title="class in org.david.vue.window">Window</a></td>
<th class="colLast" scope="row">
<div class="block">Create the main window of the application.</div>
</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="lib/xmleditor/XmlEditor.html" title="class in lib.xmleditor">XmlEditor</a></td>
<th class="colLast" scope="row">
<div class="block">Frame displaying the XML textpane.</div>
</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="lib/xmleditor/XmlEditorKit.html" title="class in lib.xmleditor">XmlEditorKit</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="lib/xmleditor/XmlTextPane.html" title="class in lib.xmleditor">XmlTextPane</a></td>
<th class="colLast" scope="row">
<div class="block">JTextPane implementation that can handle xml text.</div>
</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="lib/xmleditor/XmlView.html" title="class in lib.xmleditor">XmlView</a></td>
<th class="colLast" scope="row">
<div class="block">Thanks: http://groups.google.com/group/de.comp.lang.java/msg/2bbeb016abad270

 IMPORTANT NOTE: regex should contain 1 group.</div>
</th>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><a href="lib/xmleditor/XmlViewFactory.html" title="class in lib.xmleditor">XmlViewFactory</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
